=== debian/changelog ===
haskell-llvm (0.8.0.2-4build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Nov 2011 10:47:19 +0000

haskell-llvm (0.8.0.2-4) unstable; urgency=low

  * Rename libghc6-llvm-doc.examples to libghc-llvm-doc.examples to actually
    install the examples 
  * 01-shared-llvm.diff: Add patch taken from Ubuntu to link against LLVM's
    shared libraries (Closes: #597836). Thanks to Matthias Klose.
  * 02-fix-linking-ld-no-add-needed.diff: Add patch taken from Ubuntu to build
    with ld --no-add-needed. Thanks to Michael Bienia.

 -- Iain Lane <laney@debian.org>  Fri, 03 Jun 2011 09:41:00 +0100

haskell-llvm (0.8.0.2-3) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Erik de Castro Lopo ]
  * Compile against llvm-2.8 (Closes: #626206).
  * Bump standards version (no changes required).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 10 May 2011 08:04:07 +1000

haskell-llvm (0.8.0.2-2) unstable; urgency=low

  * Ship example programs in -doc package.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 23 Jun 2010 15:13:56 +1000

haskell-llvm (0.8.0.2-1) unstable; urgency=low

  * New upstream.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 21 May 2010 18:09:45 +1000

haskell-llvm (0.7.1.1-2) unstable; urgency=low

  * Fix missing build deps. Closes: #577874.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 16 Apr 2010 00:24:33 +1000

haskell-llvm (0.7.1.1-1) unstable; urgency=low

  * Initial debian package. Closes: #574103.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 16 Mar 2010 20:14:49 +1100
