=== debian/control ===
Source: haskell-llvm
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7),
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc
  , ghc-prof
  , llvm-2.8-dev
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-type-level-dev
  , libghc-type-level-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/llvm
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-llvm
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-llvm

Package: libghc-llvm-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , llvm-2.8-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings to the LLVM compiler toolkit
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-llvm-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , llvm-2.8-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries haskell LLVM bindings
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-llvm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for haskell LLVM bindings
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 This package contains the library documentation.
