## haskell-llvm 3.0.0.0

=== debian/changelog ===
haskell-llvm (3.0.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #662879)
  * Can drop all patches (I hope)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Mar 2012 19:52:51 +0100

haskell-llvm (0.8.0.2-5) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Thu, 01 Mar 2012 14:23:41 -0400
