=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends: debhelper (>= 7),
   , cdbs
-  , haskell-devscripts (>= 0.7)
+  , haskell-devscripts (>= 0.8.13)
   , ghc
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
   , libghc-type-level-dev
   , libghc-type-level-prof
-  , libghc-llvm-base-dev (>= 3.0)
-  , libghc-llvm-base-dev (<< 3.1)
+  , libghc-llvm-base-dev (>= 3.0.0.1)
+  , libghc-llvm-base-dev (<< 4)
   , libghc-llvm-base-prof
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-type-level-doc
   , libghc-llvm-base-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/llvm
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-llvm
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-llvm
