=== debian/changelog ===
haskell-llvm (3.2.0.0-1build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 13:32:30 +0100

haskell-llvm (3.2.0.0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Enable compat level 9
  * Use substvars for Haskell description blurbs

  [ Colin Watson ]
  * New upstream version.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2013 15:07:05 +0100
