=== debian/control ===
Source: haskell-llvm
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 9),
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-type-level-dev
  , libghc-type-level-prof
  , libghc-llvm-base-dev (>= 3.2.0.0)
  , libghc-llvm-base-dev (<< 4)
  , libghc-llvm-base-prof
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-type-level-doc
  , libghc-llvm-base-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/llvm
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-llvm
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-llvm

Package: libghc-llvm-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell bindings to the LLVM compiler toolkit${haskell:ShortBlurb}
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 ${haskell:Blurb}

Package: libghc-llvm-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries haskell LLVM bindings${haskell:ShortBlurb}
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 ${haskell:Blurb}

Package: libghc-llvm-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for haskell LLVM bindings${haskell:ShortBlurb}
 Low Level Virtual Machine (LLVM) is a set of tools for use in the backend
 of a compiler for generating optimised native code across a wide variety
 of CPU architectures. The Haskell bindings make it possible to use LLVM
 from Haskell.
 .
 ${haskell:Blurb}
